#
# Conditional build:
%bcond_with	openssl	# use OpenSSL instead of GnuTLS

Summary:	LibVNCServer - a for easy implementation of VNC/RDP server
Summary(pl.UTF-8):	LibVNCServer - biblioteka do łatwego implementowania serwera VNC/RDP
Name:		libvncserver
Version:	0.9.10
Release:	2
License:	GPL v2
Group:		Libraries
Source0:	https://github.com/LibVNC/libvncserver/archive/LibVNCServer-%{version}.tar.gz
# Source0-md5:	e1b888fae717b06896f8aec100163d27
Patch0:		%{name}-linux.patch
Patch1:		format_string.patch
Patch2:		%{name}-va.patch
URL:		https://github.com/LibVNC/libvncserver/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
%{!?with_openssl:BuildRequires:	gnutls-devel >= 2.4.0}
BuildRequires:	libgcrypt-devel >= 1.4.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	libva-devel >= 1.2.0
BuildRequires:	libva-x11-devel >= 1.2.0
%{?with_openssl:BuildRequires:	openssl-devel}
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	zlib-devel
# for noinst client_examples only
#BuildRequires:	SDL-devel
#BuildRequires:	gtk+2-devel >= 2.0
# for vnc2mpg example
#BuildRequires:	ffmpeg-devel || lame-libs-devel
%{!?with_openssl:Requires:	gnutls >= 2.4.0}
Requires:	libgcrypt >= 1.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It is based on OSXvnc, which in turn is based on the original Xvnc by
ORL, later AT&T research labs in UK.

It hides the programmer from the tedious task of managing clients and
compression schemata.

LibVNCServer was put together and is (actively ;-) maintained by
Johannes Schindelin <Johannes.Schindelin@gmx.de>.

%description -l pl.UTF-8
LibVNCServer ułatwia pisanie serwera VNC (lub, bardziej poprawnie,
programu eksportującego framebuffer poprzez protokół Remote Frame
Buffer).

Jest oparty na OSXvnc, który z kolei bazuje na oryginalnym Xvnc
napisanym przez ORL, a później AT&T.

Biblioteka ukrywa przed programistą nudne zadanie zarządzania
klientami i schematami kompresji.

LibVNCServer została poskładana i jest (aktywnie) utrzymywana przez
Johannesa Schindelina <Johannes.Schindelin@gmx.de>.

%package devel
Summary:	LibVNCServer header files
Summary(pl.UTF-8):	Pliki nagłówkowe LibVNCServer
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{!?with_openssl:Requires:	gnutls-devel >= 2.4.0}
Requires:	libgcrypt-devel >= 1.4.0
Requires:	libjpeg-devel
Requires:	libpng-devel
%{?with_openssl:Requires:	openssl-devel}
Requires:	zlib-devel

%description devel
LibVNCServer header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe LibVNCServer.

%package static
Summary:	Static LibVNCServer libraries
Summary(pl.UTF-8):	Statyczne biblioteki LibVNCServer
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static LibVNCServer libraries.

%description static -l pl.UTF-8
Statyczne biblioteki LibVNCServer.

%prep
%setup -q -n libvncserver-LibVNCServer-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_openssl:--without-gnutls} \
	%{!?with_openssl:--without-ssl}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libvnc*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libvncclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvncclient.so.0
%attr(755,root,root) %{_libdir}/libvncserver.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvncserver.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libvncserver-config
%attr(755,root,root) %{_libdir}/libvncclient.so
%attr(755,root,root) %{_libdir}/libvncserver.so
%{_includedir}/rfb
%{_pkgconfigdir}/libvncclient.pc
%{_pkgconfigdir}/libvncserver.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libvncclient.a
%{_libdir}/libvncserver.a
%changelog
* Wed Feb 04 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libvncserver.git;a=log;h=master

* Sun Dec 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 44dd1dd
- added va patch (update to libva 1.2+ API); release 2

* Sat Dec 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 0857b62
- updated to 0.9.10 (fixes CVE-2014-4607 and some other security issues)
- updated format_string patch
- progs moved to vncterm.spec

* Tue Sep 30 2014 Elan Ruusamäe <glen@delfi.ee> cd65868
- no duplicate urls, drop epoch 0

* Tue Sep 30 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c2d050
- new urls; note 0.9.9 is FULL of security holes, TODO: add patches/use git snap

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> cdab933
- release 6 (by relup.sh)

* Sun Nov 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> aa808c9
- rel 5; build fixes added

* Sat Nov 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2114264
- release 4 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a9488e
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 07f877d
- release 2 (by relup.sh)

* Wed May 09 2012 Jakub Bogusz <qboosh@pld-linux.org> b025993
- BR: pkgconfig

* Wed May 09 2012 witekfl <witekfl@pld-linux.org> 66c7d09
- updated to 0.9.9
- updated the linux.patch
- LinuxVNC renamed to linuxvnc

* Wed May 09 2012 witekfl <witekfl@pld-linux.org> 002c00d
- updated for 0.9.9

* Wed Feb 01 2012 Mateusz Korniak <matkor@pld-linux.org> 711eb19
- Version 0.9.8.2-1.

* Sun Oct 16 2011 Jakub Bogusz <qboosh@pld-linux.org> 86cac81
- updated to 0.9.8.1 (fixes ABI breakage introduced in 0.9.8)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6ae9c8f
- release 2

* Thu Apr 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 6b98139
- updated to 0.9.8
- updated linux patch

* Thu Nov 18 2010 Jakub Bogusz <qboosh@pld-linux.org> fc559bc
- verbose files, ghost soname symlinks

* Fri Feb 26 2010 hawk <hawk@pld-linux.org> 7660c1d
- release 3

* Mon Jan 11 2010 sparky <sparky@pld-linux.org> c75fc6b
- dropped BR: xorg-lib-libXTrap-devel

* Sun Jan 10 2010 hawk <hawk@pld-linux.org> 92c7f0e
- release 2

